set datafile separator ','

set title 'Error computing the area of a triangle for a triangle with sides a=10.1, b=5.05, c'
set ylabel 'Relative error (in log2 scale)'
set xlabel 'Length of c'
set grid

set logscale y 2

set output 'cancellation.png'

plot 'cancellation.csv' using 1:3 with lines title "Error of (s-a)" lw 2, 'cancellation.csv' using 1:2 with lines title "Error of Heron's formula" lw 2, 'cancellation.csv' using 1:4 with lines title "Error of stable Heron's formula" lw 2
