set datafile separator ','

set title 'Error between exp(a+b) and exp(a)*exp(b) with varying b'
set ylabel 'Relative difference between exp(a+b) and exp(a)*exp(b)'
set xlabel 'b'
set grid

set output 'exponential.png'

plot 'exponential.csv' using 1:4 with lines title "a = 2" lw 2, 'exponential.csv' using 1:3 with lines title "a = 24.6" lw 2, 'exponential.csv' using 1:2 with lines title "a = 75" lw 2
